aboutsummaryrefslogtreecommitdiffhomepage
path: root/tensorflow/contrib/lite/tools/make/build_rpi_lib.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tensorflow/contrib/lite/tools/make/build_rpi_lib.sh')
-rwxr-xr-xtensorflow/contrib/lite/tools/make/build_rpi_lib.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/tensorflow/contrib/lite/tools/make/build_rpi_lib.sh b/tensorflow/contrib/lite/tools/make/build_rpi_lib.sh
new file mode 100755
index 0000000000..24ecd4356d
--- /dev/null
+++ b/tensorflow/contrib/lite/tools/make/build_rpi_lib.sh
@@ -0,0 +1,22 @@
+#!/bin/bash -x
+# Copyright 2017 The TensorFlow Authors. All Rights Reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# ==============================================================================
+
+set -e
+
+SCRIPT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
+cd "$SCRIPT_DIR/../../../../.."
+
+CC_PREFIX=arm-linux-gnueabihf- make -j 3 -f tensorflow/contrib/lite/tools/make/Makefile TARGET=rpi TARGET_ARCH=armv7l